%define upstream_name PBKDF2-Tiny
%define upstream_version 0.005

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 4

Summary:	Minimalist PBKDF2 (RFC 2898) with HMAC-SHA1 or HMAC-SHA2
License:	ASL 2.0
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/PBKDF2/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:	noarch

%description
This module provides an RFC 2898 <https://tools.ietf.org/html/rfc2898>
compliant PBKDF2 implementation using HMAC-SHA1 or HMAC-SHA2 in under
100 lines of code. If you are using Perl 5.10 or later, it uses only
core Perl modules. If you are on an earlier version of Perl, you need
Digest::SHA or Digest::SHA::PurePerl.

All documented functions are optionally exported. No functions are
exported by default.

%prep
%setup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.5.0-4pclos2017
- rebuild against updates

